Summary: A PostScript(TM) interpreter and renderer.
Name: ghostscript
%define version	5.50
%define pkgver 5.50a
Version: %{version}
Release: 5
License: GPL
URL: http://gnu-gs.sourceforge.net/
Group: Applications/Publishing
Source0: ftp://ftp.cs.unm.edu/mirrors/gnu/ghostscript/gnu-gs-%{pkgver}.tar.gz
Source1: ftp://ftp.cs.unm.edu/mirrors/gnu/ghostscript/jpegsrc.v6b.tar.gz
Source2: ftp://ftp.cs.unm.edu/mirrors/gnu/ghostscript/libpng-1.0.2.tar.gz
Requires: urw-fonts >= 1.1, ghostscript-fonts
Prefix: %{_prefix}
BuildPrereq: libpng, zlib
BuildRoot: /var/tmp/ghostscript-root
%ifarch ia64
%define DEFCC bcc
%else
%define DEFCC cc
%endif

%description
Ghostscript is a set of software that provides a PostScript(TM)
interpreter, a set of C procedures (the Ghostscript library, which
implements the graphics capabilities in the PostScript language) and
an interpreter for Portable Document Format (PDF) files.  Ghostscript
translates PostScript code into many common, bitmapped formats, like
those understood by your printer or screen.  Ghostscript is normally
used to display PostScript files and to print PostScript files to
non-PostScript printers.

If you need to display PostScript files or print them to
non-PostScript printers, you should install ghostscript.  If you
install ghostscript, you also need to install the ghostscript-fonts
package.

%prep
%setup -q -n gs%{version} 
%setup -q -T -D -a 1 -a 2 -n gs%{version} 
ln -s jpeg-6b jpeg
ln -s libpng-1.0.2 libpng

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if test "X$CC" != "Xgcc"
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
       export CFLAGS="$RPM_OPT_FLAGS"
fi
ln -s unix-gcc.mak Makefile

%ifarch alpha
make RPM_OPT_FLAGS="" prefix=/usr
%else
make SHARE_LIBPNG=1 PVERSION=102 SHARE_ZLIB=1 RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix=%{_prefix}
%endif

%install
rm -rf $RPM_BUILD_ROOT
for dir in bin man doc share
do
   mkdir -p $RPM_BUILD_ROOT%{prefix}/$dir
done
make SHARE_LIBPNG=1 PVERSION=102 SHARE_ZLIB=1 RPM_OPT_FLAGS="$RPM_OPT_FLAGS" prefix=$RPM_BUILD_ROOT/%{_prefix} install
ln -sf gs.1z $RPM_BUILD_ROOT%{_prefix}/man/man1/ghostscript.1
ln -sf gs $RPM_BUILD_ROOT%{_prefix}/bin/ghostscript
/usr/bin/strip $RPM_BUILD_ROOT%{_prefix}/bin/gs

(cd $RPM_BUILD_ROOT
    mkdir -p usr/bin
    cd usr/bin
    ln -sf ../..%{_prefix}/bin/* .
    cd -
    mkdir -p usr/share
    cd usr/share
    ln -sf ../..%{_prefix}/share/ghostscript .
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/bin/*
/usr/bin/*
%dir %{_prefix}/share/ghostscript
%dir %{_prefix}/share/ghostscript/%{PACKAGE_VERSION}
%{_prefix}/share/ghostscript/%{PACKAGE_VERSION}/*ps
%{_prefix}/share/ghostscript/%{PACKAGE_VERSION}/*upp
%config %{_prefix}/share/ghostscript/%{version}/Fontmap
%{_prefix}/share/ghostscript/%{PACKAGE_VERSION}/examples
%{_prefix}/man/*/*
/usr/share/ghostscript

%changelog
* Thu Jan 31 2008 Reza Arbab <arbab@austin.ibm.com>
- Rebuild against newer libpng: libpng.a(libpng.so.3)

* Fri Mar 09 2001 Marc Stephenson <marc@austin.ibm.com>
- Add logic for default compiler
- Rebuild against new shared objects

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Mon Feb 14 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.50 at last...
- hpdj 2.6
- Added 3rd party drivers:
  - Lexmark 5700 (lxm5700m)
  - Alps MD-* (md2k, md5k)
  - Lexmark 2050, 3200, 5700 and 7000 (lex2050, lex3200, lex5700, lex7000)

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild to compress man page
- fix gs.1 symlink

* Wed Jan 26 2000 Bill Nottingham <notting@redhat.com>
- add stylus 740 uniprint files

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- add lq850 dot matrix driver (#6357)

* Thu Oct 28 1999 Bill Nottingham <notting@redhat.com>
- oops, include oki182 driver.

* Tue Aug 24 1999 Bill Nottingham <notting@redhat.com>
- don't optimize on Alpha. This way it works.

* Thu Jul 29 1999 Michael K. Johnson <johnsonm@redhat.com>
- added hpdj driver
- changed build to use tar_cat so adding new drivers is sane

* Thu Jul  1 1999 Bill Nottingham <notting@redhat.com>
- add OkiPage 4w+, HP 8xx drivers
* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- fix typo in config patch.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 6)

* Mon Mar 15 1999 Cristian Gafton <gafton@redhat.com>
- added patch from rth to fix alignement problems on the alpha.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Bill Nottingham <notting@redhat.com>
- add uniprint .upp files

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- fontpath update.

* Wed Dec 23 1998 Preston Brown <pbrown@redhat.com>
- updates for ghostscript 5.10

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- updated to use shared urw-fonts package.
* Mon Nov 09 1998 Preston Brown <pbrown@redhat.com>
- turned on truetype (ttf) font support.

* Thu Jul  2 1998 Jeff Johnson <jbj@redhat.com>
- updated to 4.03.

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- enabled more printer drivers
- buildroot

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Made /usr/share/ghostscript/3.33/Fontmap a config file.
